<?php
if (!empty($_POST['import']) && !empty($_FILES['import_file']) && !empty($_FILES['import_file']['tmp_name'])
&& !empty( $_POST['ihc_import_users_nonce'] ) && wp_verify_nonce( sanitize_text_field($_POST['ihc_import_users_nonce']), 'ihc_import_users_nonce' ) ){
	////////////////// IMPORT
	$filename = IHC_PATH . 'import.xml';
	move_uploaded_file( sanitize_text_field( $_FILES['import_file']['tmp_name'] ), $filename );
	require_once IHC_PATH . 'classes/import-export/IndeedImport.class.php';
	require_once IHC_PATH . 'classes/import-export/Ihc_Indeed_Import.class.php';
	$import = new Ihc_Indeed_Import();
	$import->setFile($filename);
	$import->run();
}
?>
<div class="ump-export-import-section-wrap ihc-display-none">
	<form  method="post">
		<div class="ihc-stuffbox">
			<h3><?php esc_html_e('Export CSV Files', 'ihc');?></h3>
			<div class="inside">
				<div class="iump-form-line">
					<h2><?php esc_html_e('Export Members', 'ihc');?></h2>
					<p><?php esc_html_e('Export your members list to a CSV file to access detailed information about your members in a convenient format.', 'ihc');?></p>
				</div>
				<div class="iump-form-line ump-export-csv-filters-wrap">

					<div class="iump-datatable-filters-wrapper"  id="ump_js_import_export_wrapp_for_members">

							<input type="text" value="" placeholder="Search" class="ump-js-search-phrase">
							<div class="iump-datatable-multiselect-wrapp">
									<select name="memberships[]" class="iump-datatable-filter-users-memberships jqmsLoaded ms-list-1" multiple data-placeholder="<?php esc_html_e("Memberships", 'ihc');?>">


									</select>
							</div>
							<div class="button button-primary button-small  iump-filters-bttn js-ump-export-csv ump-js-members-export-run-bttn" data-filters="" data-export_type="members"><?php esc_html_e( 'Export CSV', 'uap' );?>

					</div>

				</div>

				</div>
			</div>
		</div>
	</form>
</div>
<div class="ihc-stuffbox">
	<h3><?php esc_html_e('Export Settings', 'ihc');?></h3>
	<div class="inside">
			<span class="iump-labels-special"></span>
			<div class="iump-form-line">
				<h4><?php esc_html_e('Export Members', 'ihc');?></h4>
				<p><?php esc_html_e('Export the Members for this site as a .xml file. This allows you to easily import them into another site.', 'ihc');?></p>
				<label class="iump_label_shiwtch ihc-switch-button-margin">
					<input type="checkbox" class="iump-switch" onClick="iumpCheckAndH(this, '#import_users');" />
					<div class="switch ihc-display-inline"></div>
				</label>
				<input type="hidden" name="import_users" value=0 id="import_users"/>
			</div>
			<div class="iump-form-line">
				<h4><?php esc_html_e('Export Settings', 'ihc');?></h4>
				<p><?php esc_html_e('Export the Ultimate Membership Pro settings for this site as a .xml file. This allows you to easily import the configuration into another site.', 'ihc');?></p>
				<label class="iump_label_shiwtch ihc-switch-button-margin">
					<input type="checkbox" class="iump-switch" onClick="iumpCheckAndH(this, '#import_settings');" />
					<div class="switch ihc-display-inline"></div>
				</label>
				<input type="hidden" name="import_settings" value=0 id="import_settings"/>
			</div>
			<div class="iump-form-line">
				<h4><?php esc_html_e('Posts Settings', 'ihc');?></h4>
				<p><?php esc_html_e('Export the Posts restricitons settings for this site as a .xml file. This allows you to easily import them into another site.', 'ihc');?></p>
				<label class="iump_label_shiwtch ihc-switch-button-margin">
					<input type="checkbox" class="iump-switch" onClick="iumpCheckAndH(this, '#import_postmeta');" />
					<div class="switch ihc-display-inline"></div>
				</label>
				<input type="hidden" name="import_postmeta" value=0 id="import_postmeta"/>
			</div>
		<div class="iump-form-line iump-no-border">
			<div class="ump-hidden-download-results">
			<div class="ihc-hidden-download-link ihc-display-none" >
				<h4><?php esc_html_e('Export File', 'ihc');?></h4>
				<?php esc_html_e('Your Export file is ready to download through this link:', 'ihc');?>
				<a href="" target="_blank" download>export.xml</a>
			</div>
			<div class="ihc-display-inline" id="ihc_loading_gif" ><span class="spinner"></span></div>
		</div>
		</div>
			<div class="ihc-wrapp-submit-bttn">
					<input type="submit"  class="button button-primary button-large"  onClick="ihcMakeExportFile();" value="<?php esc_html_e('Generate XML File', 'ihc');?>" />

		</div>
	</div>
</div>

<form method="post" enctype="multipart/form-data">

	<input type="hidden" name="ihc_import_users_nonce" class="button button-primary button-large" value="<?php echo wp_create_nonce( 'ihc_import_users_nonce' );?>" />

	<div class="ihc-stuffbox">
		<h3><?php esc_html_e('Import Settings', 'ihc');?></h3>
		<div class="inside">
			<div class="iump-form-line">
				<h4><?php esc_html_e('Import XML File', 'ihc');?></h4>
				<p><?php esc_html_e('Import the .xml file from another WordPress website that was created using the Ultimate Membership Pro plugin.', 'ihc');?></p>
			</div>
			<div class="iump-form-line">
				<input type="file" name="import_file" />
			</div>

			<div class="ihc-wrapp-submit-bttn">
				<input type="submit" value="<?php esc_html_e('Import XML File', 'ihc');?>" name="import" class="button button-primary button-large">
			</div>
		</div>
	</div>
</form>

<form method="post" enctype="multipart/form-data">

	<input type="hidden" name="ihc_import_members_nonce" class="button button-primary button-large" value="<?php echo wp_create_nonce( 'ihc_import_members_nonce' );?>" />

	<div class="ihc-stuffbox ihc-display-none">
		<h3><?php esc_html_e('Import Members', 'ihc');?></h3>
		<div class="inside">
			<div class="iump-form-line">
				<h4><?php esc_html_e('Import CSV File', 'ihc');?></h4>
				<p><?php esc_html_e('Import the .csv file from another WordPress website that was created using the Ultimate Membership Pro plugin.', 'ihc');?></p>
			</div>
			<div class="iump-form-line">
				<input type="file" name="import_file" />
			</div>

			<div class="ihc-wrapp-submit-bttn">
				<input type="submit" value="<?php esc_html_e('Import CSV File', 'ihc');?>" name="import" class="button button-primary button-large">
			</div>
		</div>
	</div>
</form>

<?php
